## neochat 25.08.3+p24.04+vunstable+git20251206.0802

=== debian/changelog ===
neochat (25.08.3+p24.04+vunstable+git20251206.0802-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:02:12 +0000

neochat (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:05 +1000
