=== src/messagecontent/CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
         models/pollanswermodel.cpp
         models/reactionmodel.cpp
         models/threadmodel.cpp
+        models/eventmessagecontentmodel.cpp
     RESOURCES
         images/bike.svg
         images/bus.svg
