=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -203,7 +203,6 @@
     KF6::ConfigGui
     KF6::CoreAddons
     KF6::SonnetCore
-    KF6::IconThemes
     KF6::ItemModels
     KF6::I18nQml
     KirigamiApp
@@ -213,10 +212,6 @@
     MessageContent
     Spaces
 )
-
-if (TARGET KF6::Crash)
-    target_link_libraries(neochat PUBLIC KF6::Crash)
-endif()
 
 kconfig_target_kcfg_file(neochat FILE neochatconfig.kcfg CLASS_NAME NeoChatConfig MUTATORS GENERATE_PROPERTIES DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR SINGLETON GENERATE_MOC QML_REGISTRATION)
