## neochat 25.12.0+p24.04+vunstable+git20251208.1828

=== src/libneochat/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,8 @@
     events/imagepackevent.cpp
     events/pollevent.cpp
     jobs/neochatgetcommonroomsjob.cpp
+    jobs/neochatreportroomjob.cpp
+    jobs/neochatreportuserjob.cpp
     models/actionsmodel.cpp
     models/completionmodel.cpp
     models/completionproxymodel.cpp
