## neochat 25.12.1+p24.04+vstable+git20260201.0249

=== debian/changelog ===
neochat (25.12.1+p24.04+vstable+git20260201.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:49:54 +0000
