=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -153,6 +153,7 @@
 
 target_link_libraries(neochat-app PRIVATE
     neochat
+    KF6::IconThemes
 )
 
 ecm_add_app_icon(NEOCHAT_ICON ICONS ${CMAKE_SOURCE_DIR}/128-logo.png)
@@ -352,7 +353,8 @@
 install(TARGETS neochat-app ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
 if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
-    install(FILES plasma-runner-neochat.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins)
+    # krunner plugin must be the same as the app id for flatpak to export it
+    install(FILES plasma-runner-neochat.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins RENAME org.kde.neochat.desktop)
 endif()
 
 if (APPLE)
