## neochat 25.12.2+p24.04+vstable+git20260218.0333

=== debian/changelog ===
neochat (25.12.2+p24.04+vstable+git20260218.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 18 Feb 2026 03:33:29 +0000

neochat (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 07:11:50 +0000
